// Locales.controller.js
async function obtener_locales(req, res, dbecommerce) { 
    try {
        const result = await dbecommerce.query("SELECT b.numbodega, b.nombrebodega FROM bodegas_ecommerce b ORDER BY b.numbodega ASC");
        
        // Enviar la respuesta al cliente como JSON
        res.status(200).json(result[0]);
    } catch (error) {
        console.error("Error:", error);
        // Enviar un mensaje de error al cliente si ocurre un problema
        res.status(500).json({ error: "Hubo un error en el servidor" });
    }
}

export { obtener_locales };
